Skip to content

upsertJournalEntryLine

WRITE

Upsert journal entry line.

POST /api/v1/accounting/upsertJournalEntryLine
curl -X POST '<your-host>/api/v1/accounting/upsertJournalEntryLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "accountId": "string",
    "debit": 0,
    "credit": 0
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1
min 0
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "journalEntryId": {
      "type": "string"
    },
    "accountId": {
      "type": "string",
      "minLength": 1
    },
    "description": {
      "type": "string"
    },
    "debit": {
      "type": "number",
      "minimum": 0
    },
    "credit": {
      "type": "number",
      "minimum": 0
    },
    "journalId": {
      "type": "string"
    }
  },
  "required": [
    "accountId",
    "debit",
    "credit"
  ]
}